Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(87)

Unified Diff: tools/llvm_coverage.sh

Issue 1213063009: Add scripts for running LLVM coverage (Closed) Base URL: https://skia.googlesource.com/skia.git@master
Patch Set: remove accidentally-include script Created 5 years, 6 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: tools/llvm_coverage.sh
diff --git a/tools/llvm_coverage.sh b/tools/llvm_coverage.sh
new file mode 100755
index 0000000000000000000000000000000000000000..59d99e7a271cc16a275323846d8407bb1805caa2
--- /dev/null
+++ b/tools/llvm_coverage.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+# Copyright (c) 2015 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# Run from Skia repo like this:
+# $ tools/llvm_coverage.sh dm
+# or
+# $ tools/llvm_coverage.sh nanobench
+
+set -x
+set -e
+
+make clean
+tools/llvm_coverage_build $1
mtklein 2015/07/01 20:17:37 Any reason not to fold tools/llvm_coverage_build r
borenet 2015/07/06 12:06:35 My plan is to run this bot as a new "coverage" fla
+python tools/llvm_coverage_run.py $@
« no previous file with comments | « gyp/common_conditions.gypi ('k') | tools/llvm_coverage_build » ('j') | tools/llvm_coverage_build » ('J')

Powered by Google App Engine
This is Rietveld 408576698